aboutsummaryrefslogtreecommitdiff
path: root/git-sh-setup.sh
diff options
context:
space:
mode:
authorJunio C Hamano <junkio@cox.net>2006-08-11 18:47:50 -0700
committerJunio C Hamano <junkio@cox.net>2006-08-11 18:52:43 -0700
commitc8769f76d992ed391d169cd71be009ca17727271 (patch)
tree6c612cf2f6452237738c89de1761e4eb44320d68 /git-sh-setup.sh
parent308906fa6e98132cab839a4f42701386fba368ef (diff)
downloadgit-c8769f76d992ed391d169cd71be009ca17727271.tar.gz
git-c8769f76d992ed391d169cd71be009ca17727271.tar.xz
git-sh-setup: do not use repo-config to test the git directory
Since repo-config does not fail in non-git directory, it is not a good command to use to test the git-ness nor validate the repository revision of $GIT_DIR. Original patch by Robert Shearman but with minor fixes. Signed-off-by: Junio C Hamano <junkio@cox.net>
Diffstat (limited to 'git-sh-setup.sh')
-rwxr-xr-xgit-sh-setup.sh11
1 files changed, 3 insertions, 8 deletions
diff --git a/git-sh-setup.sh b/git-sh-setup.sh
index d15747f1e..42f9b1c12 100755
--- a/git-sh-setup.sh
+++ b/git-sh-setup.sh
@@ -35,17 +35,12 @@ case "$1" in
exit
esac
+# Make sure we are in a valid repository of a vintage we understand.
if [ -z "$SUBDIRECTORY_OK" ]
then
: ${GIT_DIR=.git}
- : ${GIT_OBJECT_DIRECTORY="$GIT_DIR/objects"}
-
- # Make sure we are in a valid repository of a vintage we understand.
- GIT_DIR="$GIT_DIR" git repo-config --get core.nosuch >/dev/null
- if test $? = 128
- then
- exit
- fi
+ GIT_DIR=$(GIT_DIR="$GIT_DIR" git-rev-parse --git-dir) || exit
else
GIT_DIR=$(git-rev-parse --git-dir) || exit
fi
+: ${GIT_OBJECT_DIRECTORY="$GIT_DIR/objects"}